#39 Difficulties building with Debian's Android SDK

Open
opened 1 year ago by UltrasonicMadness · 1 comments

I'm having issues building Internet Radio with Debian's Android SDK. When building on Debian 9 with the latest software, I get this error when running 'gradle build', whether or not I have previously followed the instructions on https://wiki.debian.org/AndroidTools

$ gradle build

FAILURE: Build failed with an exception.

* Where:
Build file '/home/usm/Software/git/InternetRadio/build.gradle' line: 8

* What went wrong:
A problem occurred evaluating root project 'InternetRadio'.
> Could not find method google() for arguments [] on repository container.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 1.713 secs

Replacing google() with maven { url 'https://maven.google.com/' } (from F-Droid's build.gradle) changes the error message to this:

$ gradle build

FAILURE: Build failed with an exception.

* Where:
Build file '/home/usm/Software/git/InternetRadio/app/build.gradle' line: 1

* What went wrong:
A problem occurred evaluating project ':app'.
> Failed to apply plugin [id 'com.android.application']
   > Minimum supported Gradle version is 4.4. Current version is 3.2.1. If using the gradle wrapper, try editing the distributionUrl in /home/usm/Software/git/InternetRadio/gradle/wrapper/gradle-wrapper.properties to gradle-4.4-all.zip

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 2.241 secs

Checking the gradle-wrapper.properties file, the distributionUrl already appears to be set to the value recommended by the error. Removing the remainder of the URL so it is only 'gradle-4.4-all.zip' has no effect.

I'm having issues building Internet Radio with Debian's Android SDK. When building on Debian 9 with the latest software, I get this error when running 'gradle build', whether or not I have previously followed the instructions on https://wiki.debian.org/AndroidTools $ gradle build FAILURE: Build failed with an exception. * Where: Build file '/home/usm/Software/git/InternetRadio/build.gradle' line: 8 * What went wrong: A problem occurred evaluating root project 'InternetRadio'. > Could not find method google() for arguments [] on repository container. * Try: Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. BUILD FAILED Total time: 1.713 secs Replacing google() with maven { url 'https://maven.google.com/' } (from F-Droid's build.gradle) changes the error message to this: $ gradle build FAILURE: Build failed with an exception. * Where: Build file '/home/usm/Software/git/InternetRadio/app/build.gradle' line: 1 * What went wrong: A problem occurred evaluating project ':app'. > Failed to apply plugin [id 'com.android.application'] > Minimum supported Gradle version is 4.4. Current version is 3.2.1. If using the gradle wrapper, try editing the distributionUrl in /home/usm/Software/git/InternetRadio/gradle/wrapper/gradle-wrapper.properties to gradle-4.4-all.zip * Try: Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. BUILD FAILED Total time: 2.241 secs Checking the gradle-wrapper.properties file, the distributionUrl already appears to be set to the value recommended by the error. Removing the remainder of the URL so it is only 'gradle-4.4-all.zip' has no effect.

Got your message. Thanks for writing this up to remind me. I will take a look.

Got your message. Thanks for writing this up to remind me. I will take a look.
Sign in to join this conversation.
No Label
No Milestone
No assignee
2 Participants
Loading...
Cancel
Save
There is no content yet.